mixed-port: 7893
allow-lan: true
mode: rule
log-level: info
ipv6: false
external-controller: 0.0.0.0:9090
dns:
  enable: true
  ipv6: false
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  fake-ip-filter:
  - '*.lan'
  - '*.local'
  - +.msftconnecttest.com
  - +.msftncsi.com
  nameserver:
  - 223.5.5.5
  - 119.29.29.29
  fallback:
  - https://1.1.1.1/dns-query
  - https://8.8.8.8/dns-query
  fallback-filter:
    geoip: true
    geoip-code: CN
proxies:
- name: iON-SJC-Reality
  type: vless
  server: 174.139.137.12
  port: 39035
  uuid: 91c2e465-f09c-48e3-a9bc-9cbe15996645
  network: tcp
  udp: true
  tls: true
  flow: xtls-rprx-vision
  servername: www.microsoft.com
  reality-opts:
    public-key: XUTW4HyPfAEIN0SaVtq5da9QfLDIolAjzdK07oJRsnI
    short-id: e5665a96
  client-fingerprint: chrome
- name: iON-SJC-Hy2
  type: hysteria2
  server: 174.139.137.12
  port: 41273
  ports: '20000-50000'
  hop-interval: 30
  password: J6VqhvBFm7us3w53Xrrb
  sni: cdn.echovale.online
  alpn:
  - h3
  up: 100 Mbps
  down: 200 Mbps
- name: iON-SJC-TUIC
  type: tuic
  server: 174.139.137.12
  port: 60443
  uuid: bfac20cb-fc54-453c-b137-4c82213cb494
  password: MH7l13YFHC10CjEcsc5IpXsE
  congestion-controller: bbr
  alpn:
  - h3
  sni: cdn.echovale.online
  udp-relay-mode: native
  reduce-rtt: true
proxy-groups:
- name: 🚀 手动选择
  type: select
  proxies:
  - ♻️ 自动选择
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - 🇯🇵 日本节点
  - 🇸🇬 新加坡节点
  - 🇼🇸 台湾节点
  - 🇰🇷 韩国节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: ♻️ 自动选择
  type: fallback
  url: https://cp.cloudflare.com/generate_204
  interval: 60
  proxies:
  - iON-SJC-Hy2
  - iON-SJC-TUIC
  - iON-SJC-Reality
- name: 💬 即时通讯
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - 🇯🇵 日本节点
  - 🇸🇬 新加坡节点
  - 🇼🇸 台湾节点
  - 🇰🇷 韩国节点
  - 🎯 全球直连
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🌐 社交媒体
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - 🇯🇵 日本节点
  - 🇸🇬 新加坡节点
  - 🇼🇸 台湾节点
  - 🇰🇷 韩国节点
  - 🎯 全球直连
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🚀 GitHub
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - 🎯 全球直连
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🤖 ChatGPT
  type: select
  proxies:
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇸🇬 新加坡节点
  - 🇺🇸 美国节点
- name: 🤖 AI服务
  type: select
  proxies:
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇸🇬 新加坡节点
  - 🇺🇸 美国节点
- name: 🎶 TikTok
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - 🇯🇵 日本节点
  - 🇸🇬 新加坡节点
  - 🇼🇸 台湾节点
  - 🇰🇷 韩国节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 📹 YouTube
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇸🇬 新加坡节点
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - 🇯🇵 日本节点
  - 🇼🇸 台湾节点
  - 🇰🇷 韩国节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🎥 Netflix
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇸🇬 新加坡节点
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - 🇯🇵 日本节点
  - 🇼🇸 台湾节点
  - 🇰🇷 韩国节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🎥 DisneyPlus
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇸🇬 新加坡节点
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - 🇯🇵 日本节点
  - 🇼🇸 台湾节点
  - 🇰🇷 韩国节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🎥 HBO
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇸🇬 新加坡节点
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🎥 PrimeVideo
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇸🇬 新加坡节点
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🎥 AppleTV+
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇸🇬 新加坡节点
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - 🎯 全球直连
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🎥 Emby
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🎯 全球直连
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🎻 Spotify
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🎯 全球直连
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 📺 Bahamut
  type: select
  proxies:
  - 🇼🇸 台湾节点
  - 🚀 手动选择
  - 🎯 全球直连
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🌎 国外媒体
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - 🇯🇵 日本节点
  - 🇸🇬 新加坡节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🛒 国外电商
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🎯 全球直连
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 📢 谷歌FCM
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🇬 谷歌服务
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - 🇯🇵 日本节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🍎 苹果服务
  type: select
  proxies:
  - 🎯 全球直连
  - 🚀 手动选择
  - ♻️ 自动选择
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: Ⓜ️ 微软服务
  type: select
  proxies:
  - 🎯 全球直连
  - 🚀 手动选择
  - ♻️ 自动选择
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🎮 游戏平台
  type: select
  proxies:
  - 🎯 全球直连
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - 🇯🇵 日本节点
  - 🇸🇬 新加坡节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🎮 Steam
  type: select
  proxies:
  - 🎯 全球直连
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🚀 测速工具
  type: select
  proxies:
  - 🎯 全球直连
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🐟 漏网之鱼
  type: select
  proxies:
  - 🚀 手动选择
  - ♻️ 自动选择
  - 🎯 全球直连
  - 🇭🇰 香港节点
  - 🇺🇸 美国节点
  - iON-SJC-Reality
  - iON-SJC-Hy2
  - iON-SJC-TUIC
- name: 🔀 非标端口
  type: select
  proxies:
  - 🐟 漏网之鱼
  - 🎯 全球直连
- name: 🇭🇰 香港节点
  type: fallback
  url: https://cp.cloudflare.com/generate_204
  interval: 60
  proxies:
  - iON-SJC-Hy2
  - iON-SJC-TUIC
  - iON-SJC-Reality
- name: 🇺🇸 美国节点
  type: fallback
  url: https://cp.cloudflare.com/generate_204
  interval: 60
  proxies:
  - iON-SJC-Hy2
  - iON-SJC-TUIC
  - iON-SJC-Reality
- name: 🇯🇵 日本节点
  type: fallback
  url: https://cp.cloudflare.com/generate_204
  interval: 60
  proxies:
  - iON-SJC-Hy2
  - iON-SJC-TUIC
  - iON-SJC-Reality
- name: 🇸🇬 新加坡节点
  type: fallback
  url: https://cp.cloudflare.com/generate_204
  interval: 60
  proxies:
  - iON-SJC-Hy2
  - iON-SJC-TUIC
  - iON-SJC-Reality
- name: 🇼🇸 台湾节点
  type: fallback
  url: https://cp.cloudflare.com/generate_204
  interval: 60
  proxies:
  - iON-SJC-Hy2
  - iON-SJC-TUIC
  - iON-SJC-Reality
- name: 🇰🇷 韩国节点
  type: fallback
  url: https://cp.cloudflare.com/generate_204
  interval: 60
  proxies:
  - iON-SJC-Hy2
  - iON-SJC-TUIC
  - iON-SJC-Reality
- name: 🎯 全球直连
  type: select
  proxies:
  - DIRECT
rule-providers:
  Custom_Direct_Domain:
    type: http
    behavior: domain
    url: https://testingcf.jsdelivr.net/gh/Aethersailor/Custom_OpenClash_Rules@main/rule/Custom_Direct_Domain.yaml
    path: ./providers/2305457515016618925_domain.yaml
    interval: 28800
  Custom_Direct_Classical_IP:
    type: http
    behavior: classical
    url: https://testingcf.jsdelivr.net/gh/Aethersailor/Custom_OpenClash_Rules@main/rule/Custom_Direct_Classical_IP.yaml
    path: ./providers/15204165614954008964.yaml
    interval: 28800
  Custom_Proxy_Domain:
    type: http
    behavior: domain
    url: https://testingcf.jsdelivr.net/gh/Aethersailor/Custom_OpenClash_Rules@main/rule/Custom_Proxy_Domain.yaml
    path: ./providers/10543794580940256312_domain.yaml
    interval: 28800
  Custom_Proxy_Classical_IP:
    type: http
    behavior: classical
    url: https://testingcf.jsdelivr.net/gh/Aethersailor/Custom_OpenClash_Rules@main/rule/Custom_Proxy_Classical_IP.yaml
    path: ./providers/3673053372641237649.yaml
    interval: 28800
  Steam_CDN_Classical:
    type: http
    behavior: classical
    url: https://testingcf.jsdelivr.net/gh/Aethersailor/Custom_OpenClash_Rules@main/rule/Steam_CDN_Classical.yaml
    path: ./providers/13268481674871578153.yaml
    interval: 28800
  Custom_Port_Direct:
    type: http
    behavior: classical
    url: https://testingcf.jsdelivr.net/gh/Aethersailor/Custom_OpenClash_Rules@main/rule/Custom_Port_Direct.yaml
    path: ./providers/2451647452112462632.yaml
    interval: 28800
rules:
- DOMAIN-SUFFIX,hf-mirror.com,🎯 全球直连
- DOMAIN-SUFFIX,modelscope.cn,🎯 全球直连
- DOMAIN-SUFFIX,modelers.cn,🎯 全球直连
- DOMAIN-SUFFIX,openi.org.cn,🎯 全球直连
- DOMAIN-SUFFIX,wisemodel.cn,🎯 全球直连
- DOMAIN-SUFFIX,modelartshub.cn,🎯 全球直连
- DOMAIN-SUFFIX,gitcode.com,🎯 全球直连
- DOMAIN-SUFFIX,gitee.com,🎯 全球直连
- DOMAIN-SUFFIX,aliyuncs.com,🎯 全球直连
- DOMAIN-SUFFIX,bcebos.com,🎯 全球直连
- DOMAIN-SUFFIX,myqcloud.com,🎯 全球直连
- DOMAIN-SUFFIX,myhuaweicloud.com,🎯 全球直连
- DOMAIN-SUFFIX,qiniucdn.com,🎯 全球直连
- DOMAIN-SUFFIX,qiniuapi.com,🎯 全球直连
- DOMAIN-SUFFIX,pypi.tuna.tsinghua.edu.cn,🎯 全球直连
- DOMAIN-SUFFIX,pypi.bfsu.edu.cn,🎯 全球直连
- DOMAIN-SUFFIX,mirrors.aliyun.com,🎯 全球直连
- DOMAIN-SUFFIX,mirrors.tuna.tsinghua.edu.cn,🎯 全球直连
- DOMAIN-SUFFIX,mirrors.ustc.edu.cn,🎯 全球直连
- DOMAIN-SUFFIX,mirror.sjtu.edu.cn,🎯 全球直连
- DOMAIN-SUFFIX,mirrors.bfsu.edu.cn,🎯 全球直连
- DOMAIN-SUFFIX,npmmirror.com,🎯 全球直连
- DOMAIN-SUFFIX,registry.npmmirror.com,🎯 全球直连
- DOMAIN-SUFFIX,ghproxy.com,🎯 全球直连
- DOMAIN-SUFFIX,gh.api.99988866.xyz,🎯 全球直连
- DOMAIN-SUFFIX,ghps.cc,🎯 全球直连
- DOMAIN-SUFFIX,mirror.ghproxy.com,🎯 全球直连
- DOMAIN-SUFFIX,ai-hobbyist.com,🎯 全球直连
- DOMAIN-SUFFIX,liblib.art,🎯 全球直连
- DOMAIN-SUFFIX,liblibai.com,🎯 全球直连
- DOMAIN-SUFFIX,tusi.cn,🎯 全球直连
- DOMAIN-SUFFIX,seaart.ai,🎯 全球直连
- DOMAIN-SUFFIX,anthropic.com,🤖 AI服务
- DOMAIN-SUFFIX,claude.ai,🤖 AI服务
- DOMAIN-SUFFIX,claudeusercontent.com,🤖 AI服务
- DOMAIN-SUFFIX,statsig.com,🤖 AI服务
- DOMAIN-SUFFIX,statsigapi.net,🤖 AI服务
- DOMAIN-SUFFIX,huggingface.co,🤖 AI服务
- DOMAIN-SUFFIX,civitai.com,🤖 AI服务
- GEOSITE,private,🎯 全球直连
- GEOIP,private,🎯 全球直连,no-resolve
- RULE-SET,Custom_Direct_Domain,🎯 全球直连
- RULE-SET,Custom_Direct_Classical_IP,🎯 全球直连
- RULE-SET,Custom_Proxy_Domain,🚀 手动选择
- RULE-SET,Custom_Proxy_Classical_IP,🚀 手动选择
- GEOSITE,google-cn,🎯 全球直连
- GEOSITE,category-games@cn,🎯 全球直连
- RULE-SET,Steam_CDN_Classical,🎯 全球直连
- GEOSITE,category-game-platforms-download,🎯 全球直连
- GEOSITE,category-public-tracker,🎯 全球直连
- GEOSITE,category-communication,💬 即时通讯
- GEOSITE,category-social-media-!cn,🌐 社交媒体
- GEOSITE,openai,🤖 ChatGPT
- GEOSITE,category-ai-!cn,🤖 AI服务
- GEOSITE,github,🚀 GitHub
- GEOSITE,category-speedtest,🚀 测速工具
- GEOSITE,steam,🎮 Steam
- GEOSITE,youtube,📹 YouTube
- GEOSITE,apple-tvplus,🎥 AppleTV+
- GEOSITE,apple,🍎 苹果服务
- GEOSITE,microsoft,Ⓜ️ 微软服务
- GEOSITE,googlefcm,📢 谷歌FCM
- GEOSITE,google,🇬 谷歌服务
- GEOSITE,tiktok,🎶 TikTok
- GEOSITE,netflix,🎥 Netflix
- GEOSITE,disney,🎥 DisneyPlus
- GEOSITE,hbo,🎥 HBO
- GEOSITE,primevideo,🎥 PrimeVideo
- GEOSITE,category-emby,🎥 Emby
- GEOSITE,spotify,🎻 Spotify
- GEOSITE,bahamut,📺 Bahamut
- GEOSITE,category-games,🎮 游戏平台
- GEOSITE,category-entertainment,🌎 国外媒体
- GEOSITE,category-ecommerce,🛒 国外电商
- GEOSITE,gfw,🚀 手动选择
- GEOIP,telegram,💬 即时通讯,no-resolve
- GEOIP,twitter,🌐 社交媒体,no-resolve
- GEOIP,facebook,🌐 社交媒体,no-resolve
- GEOIP,google,🇬 谷歌服务,no-resolve
- GEOIP,netflix,🎥 Netflix,no-resolve
- GEOSITE,cn,🎯 全球直连
- GEOIP,cn,🎯 全球直连,no-resolve
- RULE-SET,Custom_Port_Direct,🔀 非标端口
- MATCH,🐟 漏网之鱼
